Subject: Evening Primrose Oil

From: [email-masked] (LYNN KRUSZEWSKI)
Date: 12 Aug 1995 09:02:26 GMT

I once took it to reduce the severity to my period pain. Big mistake.
It made my period ~10-15 days late, made me feel bloated and gross.  I
never took it again.  I don't know what's in it, but I never try it 
again.  -THe Resident Patient-